For a complete page index, fetch https://developer.close.com/llms.txt

# Update a Blocked Phone Number

PUT https://api.close.com/api/v1/blocked_phone_number/{id}/
Content-Type: application/json

Reference: https://developer.close.com/api/resources/blocked-phone-numbers/update

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Close API
  version: 1.0.0
paths:
  /blocked_phone_number/{id}/:
    put:
      operationId: update
      summary: Update a Blocked Phone Number
      tags:
        - subpackage_blockedPhoneNumbers
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
        - name: Authorization
          in: header
          description: Basic authentication
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BlockedPhoneNumber'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                description: Any type
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                description: Any type
        '404':
          description: Not found
          content:
            application/json:
              schema:
                description: Any type
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateBlockedPhoneNumber'
servers:
  - url: https://api.close.com/api/v1
components:
  schemas:
    UpdateBlockedPhoneNumber:
      type: object
      properties:
        reason:
          type: string
          description: The updated reason for blocking the given phone number.
      required:
        - reason
      title: UpdateBlockedPhoneNumber
    BlockedPhoneNumber:
      type: object
      properties:
        created_by:
          type: string
          description: User who created this Blocked Number initially.
        date_created:
          type: string
          format: date-time
          description: When this Blocked Number was created.
        date_updated:
          type: string
          format: date-time
          description: When this Blocked Number was last updated.
        id:
          type: string
        organization_id:
          type: string
        phone:
          type: string
          description: The phone number (in E.164 format) to block.
        reason:
          type: string
          description: The reason for blocking the given phone number.
        updated_by:
          type: string
          description: User who most recently updated this Blocked Number.
      required:
        - created_by
        - date_created
        - date_updated
        - id
        - organization_id
        - phone
        - reason
        - updated_by
      title: BlockedPhoneNumber
  securitySchemes:
    ApiKeyAuth:
      type: http
      scheme: basic
    OAuth2:
      type: http
      scheme: bearer

```

## SDK Code Examples

```python blocked_phone_numbers_update_example
import requests

url = "https://api.close.com/api/v1/blocked_phone_number/id/"

payload = { "reason": "Incessant Robocaller" }
headers = {
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers, auth=("<CLOSE_API_KEY>", ""))

print(response.json())
```

```javascript blocked_phone_numbers_update_example
const url = 'https://api.close.com/api/v1/blocked_phone_number/id/';
const credentials = btoa("<CLOSE_API_KEY>:");

const options = {
  method: 'PUT',
  headers: {Authorization: `Basic ${credentials}`, 'Content-Type': 'application/json'},
  body: '{"reason":"Incessant Robocaller"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go blocked_phone_numbers_update_example
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.close.com/api/v1/blocked_phone_number/id/"

	payload := strings.NewReader("{\n  \"reason\": \"Incessant Robocaller\"\n}")

	req, _ := http.NewRequest("PUT", url, payload)

	req.SetBasicAuth("<CLOSE_API_KEY>", "")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby blocked_phone_numbers_update_example
require 'uri'
require 'net/http'

url = URI("https://api.close.com/api/v1/blocked_phone_number/id/")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Put.new(url)
request.basic_auth("<CLOSE_API_KEY>", "")
request["Content-Type"] = 'application/json'
request.body = "{\n  \"reason\": \"Incessant Robocaller\"\n}"

response = http.request(request)
puts response.read_body
```

```java blocked_phone_numbers_update_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.put("https://api.close.com/api/v1/blocked_phone_number/id/")
  .basicAuth("<CLOSE_API_KEY>", "")
  .header("Content-Type", "application/json")
  .body("{\n  \"reason\": \"Incessant Robocaller\"\n}")
  .asString();
```

```php blocked_phone_numbers_update_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PUT', 'https://api.close.com/api/v1/blocked_phone_number/id/', [
  'body' => '{
  "reason": "Incessant Robocaller"
}',
  'headers' => [
    'Content-Type' => 'application/json',
  ],
    'auth' => ['<CLOSE_API_KEY>', ''],
]);

echo $response->getBody();
```

```csharp blocked_phone_numbers_update_example
using RestSharp;
using RestSharp.Authenticators;

var client = new RestClient("https://api.close.com/api/v1/blocked_phone_number/id/");
client.Authenticator = new HttpBasicAuthenticator("<CLOSE_API_KEY>", "");
var request = new RestRequest(Method.PUT);

request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"reason\": \"Incessant Robocaller\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```